import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        value?: any;
        maxSuggestions?: number;
        items?: string[];
        open?: boolean;
        autoSuggest?: boolean;
        selection?: number;
        matches?: string[];
        class?: string;
        inputElement?: HTMLInputElement;
        containerElement?: HTMLDivElement;
        buttonsContainerElement?: HTMLDivElement;
        clearButtonElement?: HTMLButtonElement;
        searchButtonElement?: HTMLButtonElement;
        flyoutElement?: HTMLUListElement;
        addItem?: (item: string) => void;
        removeItem?: (item: string) => void;
        removeAllItems?: () => void;
        setItems?: (argItems: string[]) => void;
        addMatch?: (match: string) => void;
        removeMatch?: (match: string) => void;
        removeAllMatches?: () => void;
        setMatches?: (argMatches: string[]) => void;
    };
    events: {
        search: CustomEvent<any>;
        input: CustomEvent<any>;
        focus: CustomEvent<any>;
        blur: CustomEvent<any>;
        keydown: CustomEvent<any>;
        change: CustomEvent<any>;
        beforeinput: CustomEvent<any>;
        click: CustomEvent<any>;
        dblclick: CustomEvent<any>;
        contextmenu: CustomEvent<any>;
        mousedown: CustomEvent<any>;
        mouseup: CustomEvent<any>;
        mouseover: CustomEvent<any>;
        mouseout: CustomEvent<any>;
        mouseenter: CustomEvent<any>;
        mouseleave: CustomEvent<any>;
        keypress: CustomEvent<any>;
        keyup: CustomEvent<any>;
        clear: CustomEvent<any>;
        select: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        'item-template': {
            id: string;
            value: any;
            matches: string[];
            selection: number;
            item: string;
            index: any;
        };
        default: {};
        buttons: {
            slot: string;
        };
    };
};
export declare type AutoSuggestBoxProps = typeof __propDef.props;
export declare type AutoSuggestBoxEvents = typeof __propDef.events;
export declare type AutoSuggestBoxSlots = typeof __propDef.slots;
export default class AutoSuggestBox extends SvelteComponentTyped<AutoSuggestBoxProps, AutoSuggestBoxEvents, AutoSuggestBoxSlots> {
    get addItem(): (item: string) => void;
    get removeItem(): (item: string) => void;
    get removeAllItems(): () => void;
    get setItems(): (argItems: string[]) => void;
    get addMatch(): (match: string) => void;
    get removeMatch(): (match: string) => void;
    get removeAllMatches(): () => void;
    get setMatches(): (argMatches: string[]) => void;
}
export {};
